Page 2 of 2 FirstFirst 12
Results 11 to 18 of 18
Discuss Upgrading 4.0.2 jailbreak at the iOS 4.x (iPhone OS 4.x) - Hackint0sh.org; Bootloop is exactly what it sounds like -- the phone gets stuck in a cycle ...
  1. #11
    Super Moderator Array n1ckn4m3's Avatar

    Join Date
    Mar 2009
    Location
    USA
    Posts
    2,717
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    145

    Default

    Bootloop is exactly what it sounds like -- the phone gets stuck in a cycle of rebooting and never actually boots. Pretty much the only way to kick it out of this is to restore again, which can be a problem.

    Both redsn0w and TinyUmbrella can do that. I prefer redsn0w as it actually removes the baseband from the .ipsw, whereas TinyUmbrella just blocks the SHSH retrieval for the baseband. Both can block the upgrade of your baseband, but since redsn0w removes it entirely, I feel it's safer that way.
    The preceding forum post has been brought to you by the letter "N" and the number 42.

    iPhone 4, 32GB (iOS 6.1.2 | evasi0n | SHSH: 4.0 - 6.1.2)
    iPad 2 3G, 64GB (iOS 6.1.2 | evasi0n
    |
    SHSH: 4.3 & 4.3.3 - 6.1)

    Restore problems? Read this: http://www.hackint0sh.org/f137/130802.htm

    Did we solve your problem? Got a dollar or two spare? Please Donate!



  2. #12
    Advanced Array

    Join Date
    Nov 2010
    Posts
    32
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    theres an untethered jailbreak for 5.0.1, so how do i do the jailbreak now?

  3. #13
    Super Moderator Array n1ckn4m3's Avatar

    Join Date
    Mar 2009
    Location
    USA
    Posts
    2,717
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    145

    Default

    The steps have not changed, the only thing that's changed is the version number of iOS and the version of redsn0w you'd use to do it. redsn0w 0.9.10b3 is the proper version to use for the untethered 5.0.1 jailbreak. All the remaining steps are the same.

    If you're already running the tethered jailbreak on 5.0.1, add the 'Corona 5.0.1 untether' package from Cydia, that will untether your jailbreak without need for you to use redsn0w or restore the phone again. Alternately, you can download the latest redsn0w and run it against your phone, just make sure NOT to check 'install Cydia' if you're untethering an existing jailbreak, as that will cause problems by overwriting your package list (among other things).
    The preceding forum post has been brought to you by the letter "N" and the number 42.

    iPhone 4, 32GB (iOS 6.1.2 | evasi0n | SHSH: 4.0 - 6.1.2)
    iPad 2 3G, 64GB (iOS 6.1.2 | evasi0n
    |
    SHSH: 4.3 & 4.3.3 - 6.1)

    Restore problems? Read this: http://www.hackint0sh.org/f137/130802.htm

    Did we solve your problem? Got a dollar or two spare? Please Donate!


  4. #14
    Advanced Array

    Join Date
    Nov 2010
    Posts
    32
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    will i still need so save my shsh using the ultrasnow ipsw? do i still need to save my 4.0.2 with that before i go through with the jailbreak?

  5. #15
    Super Moderator Array n1ckn4m3's Avatar

    Join Date
    Mar 2009
    Location
    USA
    Posts
    2,717
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    145

    Default

    If you do not already have your 4.0.2 SHSH on file locally or on Cydia, it is recommended that you use iFaith to grab the partial blobs, just so you can have the SHSH available in the future. Saving your SHSH has nothing to do with the restore process itself, and you should save SHSH for every version of iOS that you possibly can, every time a new version of iOS gets released. At this point, you'll be stuck getting whatever SHSH you have on file with Cydia, plus the partial you can grab from your currently running iOS revision. Beyond that, even though SHSH can't be used to restore iOS 5.x yet, it's still recommended that you store them for potential future jailbreaks.

    Also, since you'd be restoring a version of iOS that Apple is still signing (5.0.1), you would NOT need to use TinyUmbrella as a TSS server. Apple will approve the installation of this version of iOS themselves, so you do not need TU's TSS to do it on their behalf.
    The preceding forum post has been brought to you by the letter "N" and the number 42.

    iPhone 4, 32GB (iOS 6.1.2 | evasi0n | SHSH: 4.0 - 6.1.2)
    iPad 2 3G, 64GB (iOS 6.1.2 | evasi0n
    |
    SHSH: 4.3 & 4.3.3 - 6.1)

    Restore problems? Read this: http://www.hackint0sh.org/f137/130802.htm

    Did we solve your problem? Got a dollar or two spare? Please Donate!



  6. #16
    Advanced Array

    Join Date
    Nov 2010
    Posts
    32
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    iv saved my shsh blob, i've downloaded the latest redsnow but i am bit confused, my phone is already jailbroken and when i read the guide its for jailbreaking but doesnt explain whats going to happen to my current jailbreak, also if i jailbreak without updating my baseband then its only tethered, what should i do and how do i go about this?

  7. #17
    Advanced Array

    Join Date
    Nov 2010
    Posts
    32
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    anyone? what shall i do? i want to re-do the jailbreak while 5.0.1 is still out, my phone is already jailbroken on 4.0.2, if i do the redsnow jailbreak over my current won't that cause a problem?

  8. #18
    Super Moderator Array n1ckn4m3's Avatar

    Join Date
    Mar 2009
    Location
    USA
    Posts
    2,717
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    145

    Default

    I think you're confusing terminology, your baseband has nothing to do with whether the jailbreak is tethered or untethered. The baseband revision is the actual software revision of the code running on the cellular radio chip. Only specific revisions of the baseband code are exploitable using ultrasn0w (detailed on their site, if you want to know the versions), but they have nothing to do with jailbreaking or whether your phone is jailbreakable.

    You may be confusing it with "bootrom", which is important for 3G/3GS jailbreakers in general but doesn't really help you here, nor is it really applicable, so don't worry about that now.

    1) Use redsn0w 0.9.10b4 to create a custom 5.0.1 IPSW that does NOT include the baseband (as you want to unlock), use the 'Extras' button to create the "NO_BB" firmware.
    2) Plug the phone into your computer and open iTunes
    3) Use redsn0w 0.9.10b4 to kick the phone into 'Pwned DFU' mode, use the 'Extras' button to do this.
    4) Once the phone is in Pwned DFU mode, shift-restore the "NO_BB" custom .IPSW you created in step 1.

    Your phone will be updated to iOS 5.0.1, jailbroken, and you will keep the 4.x baseband you have that is unlockable with ultrasn0w.
    The preceding forum post has been brought to you by the letter "N" and the number 42.

    iPhone 4, 32GB (iOS 6.1.2 | evasi0n | SHSH: 4.0 - 6.1.2)
    iPad 2 3G, 64GB (iOS 6.1.2 | evasi0n
    |
    SHSH: 4.3 & 4.3.3 - 6.1)

    Restore problems? Read this: http://www.hackint0sh.org/f137/130802.htm

    Did we solve your problem? Got a dollar or two spare? Please Donate!


 

 
Page 2 of 2 FirstFirst 12

Similar Threads

  1. Help upgrading jailbreak to 4.0.1 from 3.1.3 3GS MC131B
    By Metaka in forum Spirit (jailbreak)
    Replies: 1
    Last Post: 09-13-2010, 08:59 PM
  2. Upgrading My Jailbreak
    By saiyanpower2 in forum iPod Touch 1G
    Replies: 0
    Last Post: 03-16-2009, 02:06 AM
  3. Jailbreak AFTER upgrading to 2.1?
    By iphonepleasework in forum PwnageTool
    Replies: 5
    Last Post: 09-23-2008, 06:48 PM
  4. Upgrading following previous jailbreak?!
    By steviebeeton in forum iPod Touch 1G
    Replies: 0
    Last Post: 02-19-2008, 03:04 PM
  5. Replies: 7
    Last Post: 10-13-2007, 04:31 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 09:31 PM.
twitter, follow us!